<?xml version="1.0" encoding="UTF-8"?>
<ehcache>
	<!--如果需要持久化到硬盘，将信息存储在用户目录下的缓存目录中 -->
	<diskStore path="run.dir/cache" />

	<!-- 系统默认缓存，只做内存中少量的存储用，不会写文件，不能用作大数据量缓存 -->
	<defaultCache maxElementsInMemory="10000" eternal="false"
		timeToIdleSeconds="120" timeToLiveSeconds="120" overflowToDisk="false"
		memoryStoreEvictionPolicy="LRU" />

	<!--内存缓存配置，采用LRU策略，数据量过多会将不常使用的删掉，不会缓冲的磁盘中 -->
	<cache name="UFLIGHT_MEMORY" maxElementsInMemory="10000" eternal="false"
		timeToIdleSeconds="120" timeToLiveSeconds="120" overflowToDisk="false"
		memoryStoreEvictionPolicy="LRU" />

	<!--磁盘缓存配置，采用LRU策略，内存中数据量过大会缓冲到磁盘中，但是缓存不会持久化，下次启动虚拟机将会失效 -->
	<cache name="UFLIGHT_DISK_NO_PERSISTENT" maxElementsInMemory="10000"
		eternal="false" timeToIdleSeconds="120" timeToLiveSeconds="120"
		overflowToDisk="true" maxElementsOnDisk="10000000" diskPersistent="false"
		diskExpiryThreadIntervalSeconds="120" memoryStoreEvictionPolicy="LRU" />

	<!--磁盘缓存配置，采用LRU策略，内存中数据量过大会缓冲到磁盘中，缓存会持久化，下次启动虚拟机还可以用 -->
	<cache name="UFLIGHT_DISK_PERSISTENT" maxElementsInMemory="10000"
		eternal="false" timeToIdleSeconds="120" timeToLiveSeconds="120"
		overflowToDisk="true" maxElementsOnDisk="10000000" diskPersistent="true"
		diskExpiryThreadIntervalSeconds="120" memoryStoreEvictionPolicy="LRU" />
</ehcache>